Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.Tour
Class Demos

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.apps.Tour.Demos

public class Demos
extends java.util.Hashtable

This class maintains a list of demos.

See Also:
  `Demo`, Serialized Form

Field Summary
`static java.lang.String` | `DEMOS`

Constructor Summary
`Demos()` Basic empty constructor
`Demos(AttributeNameValues atts)`

Method Summary
`void` | `addDemo(Demo demo)` Adds a demo to the demo list
`void` | `addDemo(java.lang.String name, java.lang.String url, java.lang.String demoerUrl, java.lang.String keywords, java.lang.String description)` Adds a demo to the demo list
`Demo` | `getDemo(java.lang.String key)` Retrieves a Demo from the Demo list
`java.util.Enumeration` | `getEnumeration()` Returns an enumeration of the Demo objects
`AttributeNameValues` | `toAttributeNameValues()`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEMOS

    public static final java.lang.String DEMOS

Constructor Detail

### Demos

    public Demos()

  Basic empty constructor

### Demos

    public Demos(AttributeNameValues atts)

Method Detail

### addDemo

    public void addDemo(Demo demo)

  Adds a demo to the demo list

### addDemo

    public void addDemo(java.lang.String name,
                        java.lang.String url,
                        java.lang.String demoerUrl,
                        java.lang.String keywords,
                        java.lang.String description)

  Adds a demo to the demo list

### getDemo

    public Demo getDemo(java.lang.String key)

  Retrieves a Demo from the Demo list

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Returns an enumeration of the Demo objects

### toAttributeNameValues

    public AttributeNameValues toAttributeNameValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD